Community's

Leden van community ophalen

GET /v1/communities/{community_id}/members reads 2 credits

De leden van een community, beheerders en moderators eerst, elk met zijn role.

Queryparameters

QueryparameterTypeBetekenis
countint 1–100 = 50Gevraagde paginagrootte; X behandelt dit als een hint
cursorstringUit next_cursor van de vorige pagina; een cursor die niet kan worden gedecodeerd is 400

antwoord

Het community-id, een pagina met gebruikersrecords met identiteit, avatar, badges en role (bio en aantallen zijn hier niet beschikbaar), en een cursor voor de volgende pagina (null aan het einde).

Status: 200, 400, 404, 422, 429, 502

verzoek
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/members?count=50 \
  -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 400
{
  "community_id": "1493446837214187523",
  "users": [
    {
      "id": "641633",
      "screen_name": "marckohlbrugge",
      "name": "Marc Köhlbrugge",
      "bio": "",
      "avatar": "https://pbs.twimg.com/profile_images/1857124042433572864/…_normal.jpg",
      "banner": null,
      "followers": null,
      "following": null,
      "tweets": null,
      "location": "",
      "url": null,
      "verified": true,
      "verified_type": "blue",
      "protected": false,
      "created_at": null,
      "category": null,
      "role": "Admin"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "CycRAAAAAAwABAwKmwzBVQo+vQAAAABEb5BTCm07AAABfwdrA/gADJorCj69f…"
}